Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vis.beans.plotter
Class MultiXYPlotBeanInfo

    java.lang.Object
      |
      +--java.beans.SimpleBeanInfo
            |
            +--vis.beans.plotter.MultiXYPlotBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

public class MultiXYPlotBeanInfo
extends java.beans.SimpleBeanInfo

Field Summary
`protected java.lang.Class` | `xyPlotClass`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`MultiXYPlotBeanInfo()`

Method Summary
`java.beans.BeanInfo[]` | `getAdditionalBeanInfo()`
`java.beans.BeanDescriptor` | `getBeanDescriptor()`
`java.awt.Image` | `getIcon(int iconType)`
`java.beans.MethodDescriptor[]` | `getMethodDescriptors()`
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xyPlotClass

    protected java.lang.Class xyPlotClass

Constructor Detail

### MultiXYPlotBeanInfo

    public MultiXYPlotBeanInfo()

Method Detail

### getIcon

    public java.awt.Image getIcon(int iconType)

  Overrides:
    `getIcon` in class `java.beans.SimpleBeanInfo`

### getMethodDescriptors

    public java.beans.MethodDescriptor[] getMethodDescriptors()

  Overrides:
    `getMethodDescriptors` in class `java.beans.SimpleBeanInfo`

### getBeanDescriptor

    public java.beans.BeanDescriptor getBeanDescriptor()

  Overrides:
    `getBeanDescriptor` in class `java.beans.SimpleBeanInfo`

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Overrides:
    `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`

### getAdditionalBeanInfo

    public java.beans.BeanInfo[] getAdditionalBeanInfo()

  Overrides:
    `getAdditionalBeanInfo` in class `java.beans.SimpleBeanInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD